"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.press = void 0;
/**
 * Sends DTMF tones to the call
 * @param dtmfSequence - Supported digits are 0123456789*# and w. w represents a pause of 0.5s.
 */
const press = (dtmfSequence) => ({
    do: (call) => call.sendDtmfTone(dtmfSequence),
    describe: () => {
        return dtmfSequence.length === 1
            ? `press key ${dtmfSequence}`
            : `press keys ${dtmfSequence}`;
    },
});
exports.press = press;
